Update alert config
PUT
/api/v1/gtm/conversion/alerts/config
const url = 'https://api.ultimateteam.ai/api/v1/gtm/conversion/alerts/config';const options = { method: 'PUT', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"thresholds":{"additionalProperty":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.ultimateteam.ai/api/v1/gtm/conversion/alerts/config \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "thresholds": { "additionalProperty": 1 } }'Update conversion alert thresholds.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ConversionAlertConfig
Request body for updating alert thresholds.
object
thresholds
required
Thresholds
Stage transition to threshold mapping
object
key
additional properties
number
Examplegenerated
{ "thresholds": { "additionalProperty": 1 }}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
GtmAlertConfigResponse
Response for alert config update.
object
status
required
Status
Operation status
string
thresholds
Thresholds
Updated thresholds
object
key
additional properties
any
Examplegenerated
{ "status": "example", "thresholds": {}}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}